package com.liquidnet.service.goblin.controller.Inner;

import com.liquidnet.service.base.ResponseDto;
import com.liquidnet.service.goblin.service.impl.inner.GoblinNftJobServiceImpl;
import com.liquidnet.service.goblin.service.manage.IGoblinConsumerService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.validation.annotation.Validated;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@Slf4j
@Api(tags = "@API:RSC:消费")
@RestController
@Validated
@RequestMapping("/rsc/consumer")
public class GoblinConsumerController {

    @Autowired
    IGoblinConsumerService goblinConsumerService;

    @PostMapping("consumerType12")
    @ApiOperation("xls 类型1/2")
    @ApiImplicitParams({
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "finalSkuId", value = "skuId"),
            @ApiImplicitParam(type = "form", required = true, dataType = "Integer", name = "finalType", value = "类型"),
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "xlsPath", value = "文件地址"),
    })
    public ResponseDto<Boolean> consumerType12(String finalSkuId, Integer finalType, String xlsPath) {
        return goblinConsumerService.consumerType12(finalSkuId, finalType, xlsPath);
    }

    @PostMapping("consumerType34")
    @ApiOperation("xls 类型3/4")
    @ApiImplicitParams({
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "finalSkuId", value = "skuId"),
            @ApiImplicitParam(type = "form", required = true, dataType = "Integer", name = "finalType", value = "类型"),
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "xlsPath", value = "文件地址"),
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "oXlsPath", value = "文件地址2"),
            @ApiImplicitParam(type = "form", required = true, dataType = "String", name = "listId", value = "分批购活动id"),
    })
    public ResponseDto<Boolean> consumerType34(String finalSkuId, Integer finalType, String xlsPath, String oXlsPath, String listId) {
        return goblinConsumerService.consumerType34(finalSkuId, finalType, xlsPath, oXlsPath, listId);
    }
}
